/*
 * This example script for PluginMaker replaces all pixels with some
 * specific colour to another colour.
 */

@load()
    {
    setcontrol( .index=1, .caption="From:" )
    setcontrol( .index=2, .caption="To:" )
    }

@run()
    {
    copysource()

    new width, height
    imagesize(width, height)

    new from = getcontrol(1)
    new to = getcontrol(2)

    for (new y=0; y<height; y++)
        for (new x=0; x<width; x++)
            if (getpixel(x, y, preview) == from)
                setpixel(x, y, to)
    }

